# ***********************************************
# 
# !!!! DO NOT EDIT !!!!
# 
# This file was auto-generated by Build.PL.
# 
# ***********************************************
# 
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=encoding utf8

=head1 NAME

Lucy::Store::RAMFolder - In-memory Folder implementation.

=head1 SYNOPSIS

    my $folder = Lucy::Store::RAMFolder->new;
    
    # or sometimes...
    my $folder = Lucy::Store::RAMFolder->new(
        path => $relative_path,
    );

=head1 DESCRIPTION

RAMFolder is an entirely in-memory implementation of
L<Folder|Lucy::Store::Folder>, primarily used for testing and development.

=head1 CONSTRUCTORS

=head2 new

    my $folder = Lucy::Store::RAMFolder->new(
        path => $relative_path,   # default: empty string
    );

Create a new RAMFolder.

=over

=item *

B<path> - Relative path, used for subfolders.

=back

=head1 INHERITANCE

Lucy::Store::RAMFolder isa L<Lucy::Store::Folder> isa Clownfish::Obj.

=cut

